: Class Article

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dog.mail.nntp
Class Article

    java.lang.Object
      |
      +--javax.mail.Message
            |
            +--javax.mail.internet.MimeMessage
                  |
                  +--dog.mail.nntp.Article

public class Article
extends javax.mail.internet.MimeMessage

The message class implementing the NNTP mail protocol.

Inner classes inherited from class javax.mail.internet.MimeMessage
`javax.mail.internet.MimeMessage.RecipientType`

Inner classes inherited from class javax.mail.Message
`javax.mail.Message.RecipientType`

Field Summary
`protected java.lang.String` | `messageId` The unique message-id of this message.

Fields inherited from class javax.mail.internet.MimeMessage
`content, dh, flags, headers`

Fields inherited from class javax.mail.Message
`expunged, folder, msgnum, session`

Constructor Summary
`protected` | `Article(Newsgroup folder, int msgnum)` Creates an NNTP message with the specified article number.
`protected` | `Article(Newsgroup folder, java.lang.String messageId)` Creates an NNTP message with the specified message-id.

Method Summary
`void` | `addFrom(javax.mail.Address[] a)` NNTP messages are read-only.
`void` | `addRecipients(javax.mail.Message.RecipientType recipienttype, javax.mail.Address[] a)` NNTP messages are read-only.
`protected javax.mail.Address[]` | `getAddressHeader(java.lang.String key)` Returns an array of addresses for the specified header key.
`javax.mail.Address[]` | `getAllRecipients()` Returns all the recipients' addresses.
`java.lang.Object` | `getContent()` Returns the message content.
`javax.mail.Address[]` | `getFrom()` Returns the from address.
`protected java.lang.String` | `getHeaderKey(javax.mail.internet.MimeMessage.RecipientType type)` Returns the header key for the specified RecipientType.
`java.util.Date` | `getReceivedDate()` Returns the received date.
`javax.mail.Address[]` | `getRecipients(javax.mail.internet.MimeMessage.RecipientType type)` Returns the recipients' addresses for the specified RecipientType.
`javax.mail.Address[]` | `getReplyTo()` Returns the reply-to address.
`java.util.Date` | `getSentDate()` Returns the sent date.
`java.lang.String` | `getSubject()` Returns the subject line.
`protected javax.mail.Address[]` | `parseAddress(java.lang.String in, java.lang.String defhost)` Makes a pass at parsing internet addresses.
`void` | `setContentID(java.lang.String s)` NNTP messages are read-only.
`void` | `setContentMD5(java.lang.String s)` NNTP messages are read-only.
`void` | `setDataHandler(javax.activation.DataHandler datahandler)` NNTP messages are read-only.
`void` | `setDescription(java.lang.String s, java.lang.String s1)` NNTP messages are read-only.
`void` | `setDisposition(java.lang.String s)` NNTP messages are read-only.
`void` | `setFrom(javax.mail.Address address)` NNTP messages are read-only.
`void` | `setRecipients(javax.mail.Message.RecipientType recipienttype, javax.mail.Address[] a)` NNTP messages are read-only.
`void` | `setReplyTo(javax.mail.Address[] a)` NNTP messages are read-only.
`void` | `setSentDate(java.util.Date date)` NNTP messages are read-only.
`void` | `setSubject(java.lang.String s, java.lang.String s1)` NNTP messages are read-only.

Methods inherited from class javax.mail.internet.MimeMessage
`addHeader, addHeaderLine, getAllHeaderLines, getAllHeaders, getContentID, getContentLanguage, getContentMD5, getContentStream, getContentType, getDataHandler, getDescription, getDisposition, getEncoding, getFileName, getFlags, getHeader, getHeader, getInputStream, getLineCount, getMatchingHeaderLines, getMatchingHeaders, getMessageID, getNonMatchingHeaderLines, getNonMatchingHeaders, getRecipients, getSize, isMimeType, isSet, removeHeader, reply, saveChanges, setContent, setContent, setContentLanguage, setDescription, setFileName, setFlags, setFrom, setHeader, setSubject, setText, setText, updateHeaders, writeTo, writeTo`

Methods inherited from class javax.mail.Message
`addRecipient, getFolder, getMessageNumber, isExpunged, match, setExpunged, setFlag, setMessageNumber, setRecipient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### messageId

    protected java.lang.String messageId

  The unique message-id of this message.

Constructor Detail

### Article

    protected Article(Newsgroup folder,
                      int msgnum)
               throws javax.mail.MessagingException

  Creates an NNTP message with the specified article number.

### Article

    protected Article(Newsgroup folder,
                      java.lang.String messageId)
               throws javax.mail.MessagingException

  Creates an NNTP message with the specified message-id.

Method Detail

### getContent

    public java.lang.Object getContent()
                                throws java.io.IOException,
                                       javax.mail.MessagingException

  Returns the message content.
  Overrides:
    getContent in class javax.mail.internet.MimeMessage

### getFrom

    public javax.mail.Address[] getFrom()
                                 throws javax.mail.MessagingException

  Returns the from address.
  Overrides:
    getFrom in class javax.mail.internet.MimeMessage

### getRecipients

    public javax.mail.Address[] getRecipients(javax.mail.internet.MimeMessage.RecipientType type)
                                       throws javax.mail.MessagingException

  Returns the recipients' addresses for the specified RecipientType.

### getAllRecipients

    public javax.mail.Address[] getAllRecipients()
                                          throws javax.mail.MessagingException

  Returns all the recipients' addresses.
  Overrides:
    getAllRecipients in class javax.mail.internet.MimeMessage

### getReplyTo

    public javax.mail.Address[] getReplyTo()
                                    throws javax.mail.MessagingException

  Returns the reply-to address.
  Overrides:
    getReplyTo in class javax.mail.internet.MimeMessage

### getSubject

    public java.lang.String getSubject()
                                throws javax.mail.MessagingException

  Returns the subject line.
  Overrides:
    getSubject in class javax.mail.internet.MimeMessage

### getSentDate

    public java.util.Date getSentDate()
                               throws javax.mail.MessagingException

  Returns the sent date.
  Overrides:
    getSentDate in class javax.mail.internet.MimeMessage

### getReceivedDate

    public java.util.Date getReceivedDate()
                                   throws javax.mail.MessagingException

  Returns the received date.
  Overrides:
    getReceivedDate in class javax.mail.internet.MimeMessage

### getAddressHeader

    protected javax.mail.Address[] getAddressHeader(java.lang.String key)
                                             throws javax.mail.MessagingException

  Returns an array of addresses for the specified header key.

### parseAddress

    protected javax.mail.Address[] parseAddress(java.lang.String in,
                                                java.lang.String defhost)
                                         throws javax.mail.internet.AddressException

  Makes a pass at parsing internet addresses.

### getHeaderKey

    protected java.lang.String getHeaderKey(javax.mail.internet.MimeMessage.RecipientType type)
                                     throws javax.mail.MessagingException

  Returns the header key for the specified RecipientType.

### setFrom

    public void setFrom(javax.mail.Address address)
                 throws javax.mail.MessagingException

  NNTP messages are read-only.
  Overrides:
    setFrom in class javax.mail.internet.MimeMessage

### addFrom

    public void addFrom(javax.mail.Address[] a)
                 throws javax.mail.MessagingException

  NNTP messages are read-only.
  Overrides:
    addFrom in class javax.mail.internet.MimeMessage

### setRecipients

    public void setRecipients(javax.mail.Message.RecipientType recipienttype,
                              javax.mail.Address[] a)
                       throws javax.mail.MessagingException

  NNTP messages are read-only.
  Overrides:
    setRecipients in class javax.mail.internet.MimeMessage

### addRecipients

    public void addRecipients(javax.mail.Message.RecipientType recipienttype,
                              javax.mail.Address[] a)
                       throws javax.mail.MessagingException

  NNTP messages are read-only.
  Overrides:
    addRecipients in class javax.mail.internet.MimeMessage

### setReplyTo

    public void setReplyTo(javax.mail.Address[] a)
                    throws javax.mail.MessagingException

  NNTP messages are read-only.
  Overrides:
    setReplyTo in class javax.mail.internet.MimeMessage

### setSubject

    public void setSubject(java.lang.String s,
                           java.lang.String s1)
                    throws javax.mail.MessagingException

  NNTP messages are read-only.
  Overrides:
    setSubject in class javax.mail.internet.MimeMessage

### setSentDate

    public void setSentDate(java.util.Date date)
                     throws javax.mail.MessagingException

  NNTP messages are read-only.
  Overrides:
    setSentDate in class javax.mail.internet.MimeMessage

### setDisposition

    public void setDisposition(java.lang.String s)
                        throws javax.mail.MessagingException

  NNTP messages are read-only.
  Overrides:
    setDisposition in class javax.mail.internet.MimeMessage

### setContentID

    public void setContentID(java.lang.String s)
                      throws javax.mail.MessagingException

  NNTP messages are read-only.
  Overrides:
    setContentID in class javax.mail.internet.MimeMessage

### setContentMD5

    public void setContentMD5(java.lang.String s)
                       throws javax.mail.MessagingException

  NNTP messages are read-only.
  Overrides:
    setContentMD5 in class javax.mail.internet.MimeMessage

### setDescription

    public void setDescription(java.lang.String s,
                               java.lang.String s1)
                        throws javax.mail.MessagingException

  NNTP messages are read-only.
  Overrides:
    setDescription in class javax.mail.internet.MimeMessage

### setDataHandler

    public void setDataHandler(javax.activation.DataHandler datahandler)
                        throws javax.mail.MessagingException

  NNTP messages are read-only.
  Overrides:
    setDataHandler in class javax.mail.internet.MimeMessage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD